<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.local-cache" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="modules,statistics-enabled"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,local-cache"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.server.registry-factory.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.service-provider-registry.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.singleton-service-target-factory.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.server.service-provider-registrar.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-builder-factory.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.registry-factory.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.cache.singleton-service-configurator-factory.$cache-container.$local-cache"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-modules.$cache-container.$local-cache"/>
    </provides>
    <refs>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cache-container" feature-id="true"/>
        <param name="local-cache" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="modules" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>